import Component from '../component.js'

export default class CoEuiBlockContent extends Component {
  constructor(parent) {
    let selector = 'eui-block-content';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-block-content/eui-block-content.component.ts?at=master
  }
  
  async isBlocked() {
    return await (await $(this.currentPath + '/self::*[contains(@class,"eui-block-content--blocked")]')).isExisting();
  }
}


